/**
 * Application Performance Monitoring Trace Explorer API
 * Use the Application Performance Monitoring Trace Explorer API to query traces and associated spans in Trace Explorer. For more information, see [Application Performance Monitoring](https://docs.oracle.com/iaas/application-performance-monitoring/index.html).

 * OpenAPI spec version: 20200630
 *
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2025, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
/**
 * Definition of the Custom Metric.
 *
 */
export interface CustomMetric {
    /**
     * Namespace in the Custom Metric. It defaults to {@code oracle_apm_custom} if not specified.
     * If specified, the necessary OCI policies should be set to allow APM to write to that namespace.
     *
     */
    "namespace"?: string;
    /**
     * Name of the Custom Metric.
     *
     */
    "name": string;
    /**
     * Description of the Custom Metric.
     *
     */
    "description"?: string;
    /**
     * Resource Group of the Custom Metric.
     *
     */
    "resourceGroup"?: string;
    /**
     * Indicates whether anomaly Detection should be performed on the generated metric.
     *
     */
    "isAnomalyDetectionEnabled"?: boolean;
    /**
     * Compartment of the Monitoring Service. It defaults to the APM domain's compartment if not specified.
     * If specified, the necessary OCI policies should be set to allow APM to write to that compartment.
     *
     */
    "compartment"?: string;
    /**
     * Unit in which the metric value is reported. For example 'ms'.
     *
     */
    "unit"?: string;
    /**
     * Used in conjunction with the dry run header.  When the dry run header is set and the isPublishMetric flag is set to true, the
     * scheduled query is not created, but validations happen to check if the right OCI policies have been set to write to the specified
     * namespace/compartment.
     *
     */
    "isMetricPublished"?: boolean;
}
export declare namespace CustomMetric {
    function getJsonObj(obj: CustomMetric): object;
    function getDeserializedJsonObj(obj: CustomMetric): object;
}
